> For the complete documentation index, see [llms.txt](https://docs.api.intratool.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.api.intratool.de/api-reference/files.md).

# Files

## Introduction

The files route is used to output the file content of a specific [FilemanagerFile](/api-reference/filemanager/filemanager-files.md).

When the file is retrieved, it is checked whether the user has the permissions for the respective file.

To ensure that a file is visible to e.g. all assigned [Departments](/api-reference/departments.md) of an [InfoboardPost](/api-reference/infoboard/infoboard-posts.md), the file should be shared via [SharedItems](/api-reference/shared-items.md).

## Show

Show the content of a `FilemanagerFile` by `id`.

**Definition**

<mark style="color:green;">`GET`</mark> `/files/{id}`

{% hint style="warning" %}
This routes content type depends on the file's content disposition retrieved from the filesystem.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.api.intratool.de/api-reference/files.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
